Find available allocation slots
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations/find_available_slots \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations/find_available_slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations/find_available_slots"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Planning Allocations
Find available allocation slots
Find available time slots for spaces in a date range.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
planning
/
allocations
/
find_available_slots
Find available allocation slots
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations/find_available_slots \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations/find_available_slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/allocations/find_available_slots"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Authorizations
userApiKeyagentBotApiKey
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
The body is of type object.
Response
200 - application/json
Success
The response is of type object.